MS10-022: Beschrijving van de beveiligingsupdate voor Visual Basic Scripting (VBScript) 5.6 van 13 april 2010

Vertaalde artikelen Vertaalde artikelen
Artikel ID: 981350 - Bekijk de producten waarop dit artikel van toepassing is.
Alles uitklappen | Alles samenvouwen

Op deze pagina

Inleiding

Microsoft heeft beveiligingsbulletin MS10-022 uitgebracht. Ga naar een van de volgende Microsoft-websites als u het volledige beveiligingsbulletin wilt weergeven:

Hulp en ondersteuning voor deze beveiligingsupdate

Thuisgebruikers hebben toegang tot gratis ondersteuning via de dichtstbijzijnde Microsoft-vestiging. Bezoek de volgende internationale Microsoft-ondersteuningswebsite voor meer informatie over hoe u contact kunt opnemen met de dichtstbijzijnde Microsoft-vestiging voor ondersteuningsvragen naar aanleiding van beveiligingsupdates:
http://support.microsoft.com/common/international.aspx?rdpath=4
Klanten in Noord-Amerika kunnen ook onmiddellijk toegang krijgen tot onbeperkte gratis e-mailondersteuning of onbeperkte individuele chatondersteuning vanaf de volgende website van Microsoft:
http://support.microsoft.com/oas/default.aspx?&prid=7552
Voor zakelijke klanten is ondersteuning voor beveiligingsupdates beschikbaar via de gebruikelijke kanalen voor ondersteuning.

Meer informatie

Meer informatie over deze beveiligingsupdate

Bekend probleem

We zijn op de hoogte van een probleem dat van toepassing is op bepaalde computers waarvoor alle volgende voorwaarden gelden:
  • Windows XP Service Pack 3 is geïnstalleerd.
  • Een oude versie van Windows Script Host 5.6 is handmatig geïnstalleerd.
Opmerking Windows XP Service Pack 3 installeert standaard Windows Script Host 5.7. Dit bekende probleem is beperkt tot computers waarop handmatig een eerdere versie van Windows Script Host is geïnstalleerd, ook al hebt u dit niet gedaan.

Mogelijk kan deze beveiligingsupdate niet worden geïnstalleerd op computers waarop dit probleem van toepassing is omdat er een onverwachte versie van Vbscript.dll aanwezig is. Als u deze beveiligingsupdate wilt installeren op Windows XP Service Pack 3, moet de versie van het bestand Vbscript.dll minimaal 5.7 zijn.

Als dit probleem zich voordoet op een computer met Windows XP Service Pack 3 en versie 5.6 van het bestand Vbscript.dll, gebruikt u van de volgende methoden de methode die past bij de versie van Windows Internet Explorer die op uw computer is geïnstalleerd.

Voor Internet Explorer 6
  1. Vbscript.dll naar een verwachte bestandsversie terugzetten.

    Als u Vbscript.dll terug wilt zetten naar versie 5.7, gaat u als volgt te werk:
    • Download en installeer de script-engine-update voor Windows XP (KB951978):
      951978 De uitvoer van het script wordt anders weergegeven dan verwacht wanneer u scripts van VBScript of JScript uitvoert in Windows Vista Service Pack 1, in Windows Server 2008 of in Windows XP Service Pack 3 (Het Engels)
      Opmerking Als u automatische updates hebt ingeschakeld, wordt deze update automatisch aangeboden.
    • Upgraden naar Internet Explorer 8. Voor meer informatie over het verkrijgen van Internet Explorer 8 gaat u naar de volgende Microsoft-website:
      http://www.microsoft.com/netherlands/windows/internet-explorer/worldwide-sites.aspx
      Opmerking Als u automatische updates hebt ingeschakeld, wordt deze update automatisch aangeboden.
    • Upgraden naar Internet Explorer 7. Voor meer informatie over het verkrijgen van Internet Explorer 7 gaat u naar de volgende Microsoft-website:
      http://www.microsoft.com/downloads/details.aspx?displaylang=nl&FamilyID=9ae91ebe-3385-447c-8a30-081805b2f90b
  2. Installeer de beveiligingsupdate.

    Nadat u Vbscript.dll hebt teruggezet naar een verwachte versie volgens de aanwijzingen hierboven, installeert u de VBScript 5.7 beveiligingsupdate voor Windows XP Service Pack 3 (KB981349) volgens de beschrijving in beveiligingsbulletin MS10-022.

    Opmerking Deze beveiligingsupdate wordt u aangeboden via Automatische updates als de versie van Vbscript.dll minimaal 5.7.0.0 is.
Voor Internet Explorer 7
  1. Vbscript.dll naar een verwachte bestandsversie terugzetten.

    Als u Vbscript.dll terug wilt zetten naar versie 5.7, gaat u als volgt te werk:
    • Download en installeer de script-engine-update voor Windows XP (KB951978):
      951978 De uitvoer van het script wordt anders weergegeven dan verwacht wanneer u scripts van VBScript of JScript uitvoert in Windows Vista Service Pack 1, in Windows Server 2008 of in Windows XP Service Pack 3 (Het Engels)
      Opmerking Als u automatische updates hebt ingeschakeld, wordt deze update automatisch aangeboden.
    • Upgraden naar Internet Explorer 8. Voor meer informatie over het verkrijgen van Internet Explorer 8 gaat u naar de volgende Microsoft-website:
      http://www.microsoft.com/netherlands/windows/internet-explorer/worldwide-sites.aspx
      Opmerking Als u automatische updates hebt ingeschakeld, wordt deze update automatisch aangeboden.
    • Verwijder Internet Explorer 7 en installeer vervolgens Internet Explorer 7 opnieuw.
  2. Installeer de beveiligingsupdate.

    Nadat u Vbscript.dll hebt teruggezet naar een verwachte versie volgens de aanwijzingen hierboven, installeert u de VBScript 5.7 beveiligingsupdate voor Windows XP Service Pack 3 (KB981349) volgens de beschrijving in beveiligingsbulletin MS10-022.

    Opmerking Als u automatische updates hebt ingeschakeld, wordt deze update automatisch aangeboden.
Voor Internet Explorer 8

Als u Internet Explorer 8 hebt geïnstalleerd en automatische updates hebt ingeschakeld, wordt de juiste update automatisch aangeboden en hoeft u verder geen actie te ondernemen. Als u deze beveiligingsupdate handmatig installeert, downloadt en installeert u de VBScript 5.8 beveiligingsupdate voor Windows XP Service Pack 3 (KB981349) volgens de beschrijving in beveiligingsbulletin MS10-022.

Vereisten voor het toepassen van deze beveiligingsupdate

Als u deze beveiligingsupdate wilt installeren, moet Microsoft Visual Basic Scripting Edition (VBScript) 5.6 op uw computer zijn geïnstalleerd.

VBScript 5.6 wordt geïnstalleerd door:
  • Microsoft Internet Explorer 6
  • Windows Server 2003 (de volgende versies: x86 SP2, x64 SP2 en Itanium SP2)
  • Windows XP (de volgende versies: x86 SP2 en x64 SP2)
  • Windows Script Host 5.6
Ga als volgt te werk om vast te stellen welke versie van VBScript momenteel op de computer is geïnstalleerd:
  1. Open Windows Verkenner.
  2. Zoek de volgende map:
    %systemroot% \system32
  3. Klik met de rechtermuisknop op het bestand Vbscript.dll en klik op Eigenschappen.
  4. Klik op het tabblad Details om het veld Bestandsversie weer te geven.
Als de bestandsversie begint met 5.6 (bijvoorbeeld 5.6.0.8825) is VBScript 5.6 geïnstalleerd op de computer.

Update verwijderen

Als u deze beveiligingsupdate wilt verwijderen, gaat u als volgt te werk:
  • Het onderdeel Software van het Configuratiescherm gebruiken
  • Gebruik het hulpprogramma Spuninst.exe dat zich in de volgende map bevindt:
    %Windir%\$NTUninstallKB935448$\Spuninst

Opstartinformatie

Nadat u deze beveiligingsupdate hebt geïnstalleerd, moet u de computer mogelijk opnieuw opstarten.

Informatie over bestanden

De Engelse (VS) versie van deze beveiligingsupdate heeft de bestandskenmerken (of recentere bestandskenmerken) die in de volgende tabel worden weergegeven. De datums en tijden voor deze bestanden worden weergegeven in de UTC-notatie (Coordinated Universal Time). Wanneer u de bestandsinformatie weergeeft, wordt deze naar lokale tijd geconverteerd. Als u het verschil tussen UTC en lokale tijd wilt bepalen, gebruikt u het tabblad Tijdzone van het onderdeel Datum en tijd in het Configuratiescherm.
Voor alle ondersteunde x86-versies van Windows 2000 SP4
Deze tabel samenvouwenDeze tabel uitklappen
File nameFile versionFile sizeDateTimePlatform
Vbscript.dll5.6.0.8838401,40812-Mar-201021:44x86
Voor alle ondersteunde x86-versies van Windows XP SP2
Deze tabel samenvouwenDeze tabel uitklappen
File nameFile versionFile sizeDateTimePlatformSP requirementService branch
Vbscript.dll5.6.0.8838417,79210-Mar-201008:02x86SP2SP2GDR
Vbscript.dll5.6.0.8838417,79210-Mar-201008:07x86SP2SP2QFE
Voor alle ondersteunde x86-versies van Windows Server 2003 SP2
Deze tabel samenvouwenDeze tabel uitklappen
File nameFile versionFile sizeDateTimePlatformSP requirementService branch
Vbscript.dll5.6.0.8838401,40809-Mar-201005:20x86SP2SP2GDR
Vbscript.dll5.6.0.8838401,40809-Mar-201005:27x86SP2SP2QFE
Voor alle ondersteunde x64-versies van Windows Server 2003 SP2 en Windows XP Professional SP2
Deze tabel samenvouwenDeze tabel uitklappen
File nameFile versionFile sizeDateTimePlatformSP requirementService branch
Vbscript.dll5.6.0.8838663,04009-Mar-201004:43x64SP2SP2GDR
Wvbscript.dll5.6.0.8838401,40809-Mar-201004:43x86SP2SP2GDR\WOW
Vbscript.dll5.6.0.8838663,55209-Mar-201004:38x64SP2SP2QFE
Wvbscript.dll5.6.0.8838401,40809-Mar-201004:38x86SP2SP2QFE\WOW
Voor alle ondersteunde Itanium-versies van Windows Server 2003 SP2
Deze tabel samenvouwenDeze tabel uitklappen
File nameFile versionFile sizeDateTimePlatformSP requirementService branch
Vbscript.dll5.6.0.88381,116,67209-Mar-201004:41IA-64SP2SP2GDR
Wvbscript.dll5.6.0.8838401,40809-Mar-201004:41x86SP2SP2GDR\WOW
Vbscript.dll5.6.0.88381,117,69609-Mar-201004:38IA-64SP2SP2QFE
Wvbscript.dll5.6.0.8838401,40809-Mar-201004:38x86SP2SP2QFE\WOW

Eigenschappen

Artikel ID: 981350 - Laatste beoordeling: vrijdag 16 april 2010 - Wijziging: 1.0
De informatie in dit artikel is van toepassing op:
  • Microsoft Internet Explorer 6.0
  • Microsoft Windows Server 2003 Service Pack 2 op de volgende platformen
    • Microsoft Windows Server 2003, Datacenter Edition (32-bit x86)
    • Microsoft Windows Server 2003, Datacenter Edition for Itanium-Based Systems
    • Microsoft Windows Server 2003, Datacenter x64 Edition
    • Microsoft Windows Server 2003, Enterprise x64 Edition
    • Microsoft Windows Server 2003, Enterprise Edition (32-bit x86)
    • Microsoft Windows Server 2003, Enterprise Edition for Itanium-based Systems
    • Microsoft Windows Server 2003, Standard x64 Edition
    • Microsoft Windows Server 2003, Standard Edition (32-bit x86)
  • Microsoft Windows XP Service Pack 2 op de volgende platformen
    • Microsoft Windows XP Home Edition
    • Microsoft Windows XP Home Edition N
    • Microsoft Windows XP Professional
    • Microsoft Windows XP Professional N
    • Microsoft Windows XP Professional x64 Edition
    • Microsoft Windows XP Starter Edition
  • Microsoft Windows 2000 Service Pack 4 op de volgende platformen
    • Microsoft Windows 2000 Advanced Server
    • Microsoft Windows 2000 Datacenter Server
    • Microsoft Windows 2000 Professional Edition
Trefwoorden: 
kbsurveynew kbfix kbbug kbsecvulnerability kbsecbulletin kbsecurity kbqfe kbexpertiseinter KB981350

Geef ons feedback

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com